import PptxGenJS from 'pptxgenjs';
import { ISlide } from '../../interfaces/islide';
import Automizer from '../../automizer';
import { GenerateElements, SupportedPptxGenJSSlide } from '../../types/types';
import { IGenerator } from '../../interfaces/igenerator';
export default class GeneratePptxGenJs implements IGenerator {
    tmpFile: string;
    slides: ISlide[];
    generator: PptxGenJS;
    automizer: Automizer;
    countSlides: number;
    constructor(automizer: Automizer, slides: ISlide[]);
    create(): this;
    generateSlides(): Promise<void>;
    addElements(generate: GenerateElements[], pgenSlide: PptxGenJS.Slide, slide: ISlide): void;
    supportedSlideItems: (pgenSlide: PptxGenJS.Slide, objectName: string) => SupportedPptxGenJSSlide;
    getOptions: (options: any, objectName: any) => any;
    appendPptxGenSlide(): PptxGenJS.Slide;
    cleanup(): Promise<void>;
}
